Package org.apache.tapestry5.validator

# Class None

java.lang.Object
org.apache.tapestry5.validator.AbstractValidator<Void,Object>
org.apache.tapestry5.validator.None

All Implemented Interfaces:
  `Validator<Void,Object>`

public class None extends AbstractValidator<Void,Object>
The none validator is does nothing on either the client or the server; primarily it is employed as the validate parameter, to override the validation specified in the `Validate` annotation of a property.

- ## Field Summary

  ### Fields inherited from class org.apache.tapestry5.validator.AbstractValidator

  `javaScriptSupport`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `None()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `render(Field field, Void constraintValue, MessageFormatter formatter, MarkupWriter writer, FormSupport formSupport)`
  Does nothing.
  `void`
  `validate(Field field, Void constraintValue, MessageFormatter formatter, Object value)`
  Does nothing.

  ### Methods inherited from class org.apache.tapestry5.validator.AbstractValidator

  `getConstraintType, getMessageKey, getValueType, isRequired`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### None

    public None()

- ## Method Details

  - ### render

    public void render(Field field, Void constraintValue, MessageFormatter formatter, MarkupWriter writer, FormSupport formSupport)
    Does nothing.
    Parameters:
      `field` - the field which is currently being rendered
      `constraintValue` - the value used to constrain input
      `formatter` - validation message, in the appropriate locale
      `writer` - markup writer, allowing additional attributes to be written into the active element
      `formSupport` - used to add JavaScript

  - ### validate

    public void validate(Field field, Void constraintValue, MessageFormatter formatter, Object value) throws ValidationException
    Does nothing.
    Parameters:
      `field` - the field for which a client submitted value is being validated
      `constraintValue` - the value used to constrain
      `formatter` - Validation messages, in the appropriate locale
      `value` - the translated value supplied by the user
    Throws:
      `ValidationException` - if the value violates the constraint